Kerbal Space Program - Bug #19454

Starting landing Gear
07/28/2018 05:35 PM - Martinez21601

Status: Closed Start date: 07/28/2018
Severity: Low % Done: 100%
Assignee:

Category: Application

Target version: 1.7.0

Version: 1.4.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

The first landing gear you unlock LY-01 and LY-05 bounce when they make contact with the ground. Even when the craft is sitting
still on the runway it bounces around since the last patch. It makes it very difficult to build the first aircraft in career mode because
the bounce usually makes the plane blow up as it is accelerating for takeoff. As a long time player of KSP, | am able to manage it but
it being the first landing gear to unlock new players would have a very hard time. Even as an experienced player | cannot land | have
to use parachutes to get the plane back on the ground. In my opinion, this should be a priority fix as the first time a new player
attempts to make a plane it most likely will not work and | think many new players will be put off by this. The bounce just started in
the new version of the game if you could please take a look at this it would be greatly appreciated as many will be unable to create
the first plane and it is very useful to have a basic plane in the very beginning both for contracts and for exploration.

Related issues:

Related to Kerbal Space Program - Bug #19427: Endless bouncing LY-01 Fixed La... Resolved 07/22/2018
Related to Kerbal Space Program - Bug #18289: Landing gear bouncing issue in ... Not Fixed 03/30/2018
History

#1 - 07/28/2018 06:25 PM - Martinez21601
- File First Plane.craft added

#2 - 08/01/2018 08:39 AM - diomedea
- Related to Bug #19427: Endless bouncing LY-01 Fixed Landing Gear added

#3 - 10/15/2018 05:35 PM - joshua.collins
- Status changed from New to Ready to Test
- Target version set to 1.5.0

- % Done changed from 0 to 80

#4 - 12/08/2018 06:31 AM - Anonymous
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

The craft provided in the report still bounces (just half a meter) forever, but the new 'advanced tweakable' spring/damper override cures the problem
easily.

#5 - 04/11/2019 09:15 PM - chris.fulton
- Related to Bug #18289: Landing gear bouncing issue in KSP 1.4.2 added

#6 - 04/11/2019 09:21 PM - chris.fulton
- Status changed from Not Fixed to Ready to Test
- Target version changed from 1.5.0 to 1.7.0

- % Done changed from 50 to 80

Improvements have been made up to 1.7 with the landing gear. Setting this bug to RTT to see if the original issue is now fixed.

04/10/2024 1/2




#7 - 05/08/2019 05:47 AM - Anonymous
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

The bouncing damps out reasonably quickly, with the craft stationary.

It still cannot take off, because a wheel-bounce starts during the take-off roll.

However, it would be very difficult to take off with this craft even with rock-solid wheels, because of the gear and control-surface placement.
Probably best to consider this an exact duplicate of #19427

#8 - 05/08/2019 06:07 AM - Anonymous
- Status changed from Not Fixed to Resolved

- % Done changed from 50 to 100

#9 - 05/10/2019 07:58 PM - chris.fulton

- Status changed from Resolved to Closed

Files

First Plane.craft 39.1 KB 07/28/2018 Martinez21601
